package com.management.platform.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.management.platform.entity.User;
import com.management.platform.mapper.UserMapper;
import com.management.platform.service.UserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.management.platform.util.HttpRespMsg;
import com.management.platform.util.MD5Util;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-12-31
 */
@Service
public class UserServiceImpl extends ServiceImpl<UserMapper, User> implements UserService {
    @Resource
    private UserMapper userMapper;

    //登录
    @Override
    public HttpRespMsg login(String username, String password){
        HttpRespMsg httpRespMsg = new HttpRespMsg();
        List<User> userList = userMapper.selectList(new QueryWrapper<User>().eq("phone", username));
        if(userList.size() > 0 && MD5Util.getPassword(password).equals(userList.get(0).getPassword())){
            //将信息返回
            Map<String, Object> resultMap = new HashMap<>();
            resultMap.put("portraitUrl", userList.get(0).getPortraitUrl());
            httpRespMsg.data = resultMap;
        }else if(userList.size() > 1){
            httpRespMsg.setError("账号重名 请联系管理员");
        }else{
            httpRespMsg.setError("账号不存在或密码错误");
        }
        return httpRespMsg;
    }
}
