package com.management.platform.task;

import com.management.platform.constant.Constant;
import com.management.platform.util.AuthService;
import com.management.platform.util.RedisUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * Author: 吴涛涛
 * Date : 2019 - 12 - 31 16:04
 * Description:<描述>
 * Version: 1.0
 */
@EnableScheduling
@Component
public class TimingTask {
    @Autowired
    private RedisUtil redisUtil;

    @Scheduled(cron = "0 */5 * * * ?")//配置时间段触发(每五分钟触发一次)
    public void pictureDetectionTask(){
        String accessToken = "";

        if(redisUtil.existsKey("accessToken")){
            accessToken = redisUtil.getKey("accessToken");
        }else{
            Map<String,Object> map = AuthService.getAuth(Constant.API_KEY, Constant.SECRET_KEY);
            accessToken = (String)map.get("access_token");
            Long expiresTimeOut = (Long)map.get("expires_in");
            redisUtil.setKeyWithExpireTime("accessToken",accessToken,expiresTimeOut);
        }
        //利用token

    }
}
